summaryrefslogtreecommitdiffstats
path: root/network/sngrep
diff options
context:
space:
mode:
author Yossi Neiman <mishehu+sbo@shavedgoats.net>2023-10-09 19:52:43 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-10-09 21:30:35 +0700
commit427df43f388c55fc8e5d92abfd6b1166a23c363b (patch)
treebef23d74e2e68b7f58c515416176ac875d607934 /network/sngrep
parent757aba9192395ab3faa37eb60cddfe28ef4d88df (diff)
downloadslackbuilds-427df43f388c55fc8e5d92abfd6b1166a23c363b.tar.gz
slackbuilds-427df43f388c55fc8e5d92abfd6b1166a23c363b.tar.xz
network/sngrep: Added (SIP analysis tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/sngrep')
-rw-r--r--network/sngrep/README17
-rw-r--r--network/sngrep/slack-desc19
-rw-r--r--network/sngrep/sngrep.SlackBuild135
-rw-r--r--network/sngrep/sngrep.info10
4 files changed, 181 insertions, 0 deletions
diff --git a/network/sngrep/README b/network/sngrep/README
new file mode 100644
index 0000000000..512a002652
--- /dev/null
+++ b/network/sngrep/README
@@ -0,0 +1,17 @@
+sngrep is a tool for displaying SIP calls message flows from terminal.
+
+It supports live capture to display realtime SIP packets and can also
+be used as PCAP viewer.
+
+The following options are available for compilation:
+
+ENABLE_IPV6: Default is yes, adds IPv6 support. Setting this
+ variable to any value other than yes will disable IPv6 support.
+
+OPENSSL_TLS: Default is yes, uses OpenSSL for TLS support. Setting
+ this variable to any value other than yes results in gnutls being
+ used instead for TLS support.
+
+PCRE2: Default is yes, uses pcre2 for regex support. Setting this
+ variable to any value other than yes results in the use of pcre
+ instead for regex support.
diff --git a/network/sngrep/slack-desc b/network/sngrep/slack-desc
new file mode 100644
index 0000000000..417def5b76
--- /dev/null
+++ b/network/sngrep/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sngrep: sngrep (SIP analysis tool)
+sngrep:
+sngrep: sngrep is a tool for displaying SIP calls message flows from
+sngrep: terminal.
+sngrep:
+sngrep: It supports live capture to display realtime SIP packets and can
+sngrep: also be used as PCAP viewer.
+sngrep:
+sngrep:
+sngrep:
+sngrep:
diff --git a/network/sngrep/sngrep.SlackBuild b/network/sngrep/sngrep.SlackBuild
new file mode 100644
index 0000000000..c03bab7796
--- /dev/null
+++ b/network/sngrep/sngrep.SlackBuild
@@ -0,0 +1,135 @@
+#!/bin/bash
+
+# Slackware build script for sngrep
+
+# Copyright 2023 Yossi Neiman, mishehu+sbo@shavedgoats.net
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sngrep
+VERSION=${VERSION:-1.7.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Options. Saying no to OPENSSL_TLS results in gnutls linkage. no to PCRE2 results in PCRE linkage.
+ENABLE_IPV6=${ENABLE_IPV6:-yes}
+OPENSSL_TLS=${OPENSSL_TLS:-yes}
+PCRE2=${PCRE2:-yes}
+COMPOPTIONS=""
+
+if [ "$ENABLE_IPV6" = "yes" ]
+then
+ COMPOPTIONS="$COMPOPTIONS --enable-ipv6"
+fi
+
+if [ "$OPENSSL_TLS" = "yes" ]
+then
+ COMPOPTIONS="$COMPOPTIONS --with-openssl"
+else
+ COMPOPTIONS="$COMPOPTIONS --with-gnutls"
+fi
+
+if [ "$PCRE2" = "yes" ]
+then
+ COMPOPTIONS="$COMPOPTIONS --with-pcre2"
+else
+ COMPOPTIONS="$COMPOPTIONS --with-pcre"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./bootstrap.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-eep \
+ --enable-unicode \
+ --with-zlib \
+ $COMPOPTIONS \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG mandir=/usr/man
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING LICENSE LICENSE.OpenSSL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/sngrep/sngrep.info b/network/sngrep/sngrep.info
new file mode 100644
index 0000000000..44bdf7327b
--- /dev/null
+++ b/network/sngrep/sngrep.info
@@ -0,0 +1,10 @@
+PRGNAM="sngrep"
+VERSION="1.7.0"
+HOMEPAGE="https://github.com/irontec/sngrep"
+DOWNLOAD="https://github.com/irontec/sngrep/releases/download/v1.7.0/sngrep-1.7.0.tar.gz"
+MD5SUM="ee3cc7bd75adeb713411aa678e45ae4c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Yossi Neiman"
+EMAIL="mishehu+sbo@shavedgoats.net"